/* PROJECT....:  2FILE.C
** FILE.......:  2fil_err.h
** VERSION....:  1.0 (Turbo C++ 1.0 & MSC 5.0)
** AUTHOR.....:  Stephen D. Cooper
** NOTICE.....:  Copyright 1990 ZIFF Communications Co.
**
** NOTES......:	 This header file contains error codes and error
**		 messages for 2FILE.EXE.
*/

#if !defined(_2FIL_ERR_H_)
#define _2FIL_ERR_H_

/********************************************************************
** 	#define CONSTANTS					   **
********************************************************************/

/*
** Error constants
*/
#define ERR_NO_ERRORS        0 		/* No errors encountered */
#define ERR_CANT_OPEN_OUTPUT 1		/* Problems opening output */
#define ERR_DEST_DRIVE_BAD   2		/* Bad destination drive */
#define ERR_DEST_DRIVE_SPACE 3		/* Not enough dest. space */
#define ERR_FIXED_DISK	     4		/* Src disk isn't floppy */
#define ERR_FLOPPY_LETTER    5		/* Bad floppy designator */
#define ERR_MEMORY	     6		/* Can't malloc() enough */
#define ERR_NO_FILENAME	     7		/* No filename given */
#define ERR_READING_FLOPPY   8		/* Problems reading disk */
#define ERR_RESETTING_DRIVE  9		/* Problems resetting drive */
#define ERR_SAME_DRIVE	    10		/* Dest = source drive */
#define ERR_TOO_FEW_ARGS    11		/* Too few command args */
#define ERR_TOO_MANY_ARGS   12		/* Too many command args */
#define ERR_UNKNOWN_FLOPPY  13		/* Unknown floppy size */
#define ERR_USER_ABORT      14		/* User stopped program */
#define ERR_WRITING_FILE    15		/* Problems writing file */

/********************************************************************
**	GLOBAL VARIABLES 					   **
********************************************************************/

#if defined(ERROR_FILE)
char *errmsg[] = {"",
			   "Can't open output file",
			   "Invalid destination drive",
			   "Not enough available space on destination drive",
			   "Source diskette must be a floppy",
			   "Bad floppy designator (must be A: or B:)",
			   "Not enough memory to complete processing",
			   "No filename given on the command line",
			   "Problems reading floppy",
			   "Problems resetting disk drive",
			   "Destination drive is equal to source drive",
			   "Too few DOS command line arguments",
			   "Too many DOS command line arguments",
  			   "Unknown floppy disk format",
			   "Program stopped by user",
			   "Problems writing to output file"
			  };

#endif					/* #if defined(ERROR_FILE) */

#endif					/* #if !defined(_2FIL_ERR_H_) */
/*******************************
********************************
**** END OF FILE 2fil_err.h ****
********************************
*******************************/
