/* PROJECT....:  2FLOPPY.C
** FILE.......:  2flo_err.h
** VERSION....:  1.0 (Turbo C++ 1.0 & MSC 5.0)
** AUTHOR.....:  Stephen D. Cooper
** NOTICE.....:  Copyright 1990 ZIFF Communications Co.
**
** NOTES......:  This file contains error codes and error messages
**		 that are unique to 2FLOPPY.EXE
*/

#if !defined(_2FLO_ERR_H_)
#define _2FLO_ERR_H_

/********************************************************************
**	#define CONSTANTS					   **
********************************************************************/

/*
** Error constants
*/
#define ERR_NO_ERRORS         0		/* No errors encountered */
#define ERR_FLOPPY_LETTER     1		/* Bad floppy designator */
#define ERR_BAD_FILE_SIZE     2		/* File isn't right size */
#define ERR_BAD_HEADER	      3		/* Bad file header */
#define ERR_BAD_REPETITIONS   4		/* Can't repeat 0 times */
#define ERR_BAD_SECTORSIZE    5		/* Unknown sector size */
#define ERR_BAD_VERIFY	      6		/* Copy didn't verify */
#define ERR_CANT_FIND_FILE    7		/* Can't find input file */
#define ERR_CANT_OPEN_INPUT   8		/* Can't open input file */
#define ERR_FORMATTING_DISK   9		/* Problems formatting disk */
#define ERR_HARD_DISK_FORMAT 10		/* Tried hard disk format */
#define ERR_MEMORY	     11		/* Not enough memory */
#define ERR_NO_FILENAME      12		/* No filename given */
#define ERR_READING_FILE     13		/* Problems reading file */
#define ERR_READING_FLOPPY   14		/* Problems reading disk */
#define ERR_RESETTING_DRIVE  15		/* Problems resetting drive */
#define ERR_SAME_DRIVE       16		/* Dest = source drive */
#define ERR_TOO_FEW_ARGS     17		/* Too few command args */
#define ERR_TOO_MANY_ARGS    18		/* Too many command args */
#define ERR_UNKNOWN_ARG	     19		/* Unknown command line arg */
#define ERR_USER_ABORT       20		/* User stopped program */
#define ERR_WRITING_SECTORS  21		/* Problems writing disk */

/********************************************************************
**        GLOBAL VARIABLES 					   **
********************************************************************/

#if defined(ERROR_FILE)
char *errmsg[] = {"",
				  "Bad floppy designator (must be A: or B:)",
				  "2FILE file is not the correct size",
				  "Bad 2FILE file header",
				  "Repititions must be > 0 and < 32768",
				  "Bad sector size in 2FILE file",
				  "Copy didn't verify",
				  "Can't find 2FILE file",
				  "Can't open input file",
				  "Problems formatting floppy disk",
				  "Can't format a hard disk",
				  "Not enough memory to complete processing",
				  "No filename given on the command line",
				  "Problems reading input file",
				  "Problems reading floppy disk",
				  "Problems resetting disk drive",
				  "Destination drive is equal to source drive",
				  "Too few DOS command line arguments",
				  "Too many DOS command line arguments",
				  "Unknown command line argument",
				  "Program stopped by user",
				  "Problems writing floppy disk sector"
				 };

#endif					/* #if defined(ERROR_FILE) */

#endif					/* #if !defined(_2FLO_ERR_H_) */
/*******************************
********************************
**** END OF FILE 2flo_err.h ****
********************************
*******************************/
