/* PROJECT....:  2FILE.C and 2FLOPPY.C
** FILE.......:  compiler.h
** VERSION....:  1.0 (Turbo C++ 1.0 & MSC 5.0)
** AUTHOR.....:  Stephen D. Cooper
** NOTICE.....:  Copyright 1990 ZIFF Communications Co.
**
** NOTES......:  This header file isolates and makes up for MOST of
**		 the differences between Turbo C and MSC.  It also
**		 contains one #define (#define TURBO_C or #define MSC)
**		 that is used by other files.  Please see the
**		 comments that precede this line in this file.
*/

#if !defined(_COMPILER_H_)
#define _COMPILER_H_

/*
** Compiler specific #define --
** If you're compiling with Turbo C ==> #define TURBO_C
** If you're compiling with MSC		==> #define MSC
*/
#define TURBO_C

/********************************************************************
**        #define CONSTANTS					   **
********************************************************************/

/*
** Turbo C and MSC specific library
** function names and constants turned into our own
** names.  We also include those .H files that are unique to
** the compilers or that one compiler needs and the other doesn't
*/
#if defined(TURBO_C)
#define HARDERR   	harderr
#define HARDRETN  	hardretn
#define MAKEPATH  	fnmerge
#define SPLITPATH 	fnsplit
#define HARDERR_HANDLER int harderr_handler(int errval, int ax, \
						int bp, int si)
#include <dir.h>
#include <mem.h>
#else
#define HARDERR   	_harderr
#define HARDRETN  	_hardretn
#define MAKEPATH  	_makepath
#define SPLITPATH 	_splitpath
#define MAXPATH   	_MAX_PATH
#define MAXDRIVE	_MAX_DRIVE
#define MAXDIR	  	_MAX_DIR
#define MAXFILE   	_MAX_FNAME
#define MAXEXT    	_MAX_EXT
#define HARDERR_HANDLER void far harderr_handler(unsigned ax, \
						unsigned di, unsigned far *devhdr)
#include <graph.h>
#include <types.h>
#include <memory.h>
#endif

/********************************************************************
**        #define MACROS   					   **
********************************************************************/

#if !defined(TURBO_C)
/*
** Add MK_FP() to MSC's bag of tricks
*/
#define MK_FP(s, o) ((void far *)(((long)(s) << 16) + (o)))
#define GOTOXY(x, y) _settextposition((y), (x))
#else
#define GOTOXY(x, y) gotoxy((x), (y))
#endif						/* #if !defined(TURBO_C) */

#endif						/* #if !defined(_COMPILER_H_) */
/*******************************
********************************
**** END OF FILE compiler.h ****
********************************
*******************************/
